<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}

<!-- info: html generated from a .jade -->

<!-- Using abelujo-js.js -->

{% block pagetitle %}
{{ title }}
{% endblock %}

{% block content %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load i18n %}
{% load currencyfilter %}
{% load ngfilter %}

<div class="row">
  <div class="col-lg-10">
    <ul class="nav nav-tabs">
      <li class="active", role="presentation">
        <a href="#">
          <h3>
            <i class="glyphicon glyphicon-user"> </i>
            {{ client.repr }} &nbsp;
          </h3>
      </li>
      <li role="presentation">
        <a href="/databasesearch/reservation" target="_blank">

        </a>
      </li>
    </ul>
  </div>
</div>

<div class="container">

  <div class="row">
    <div class="col-md-2">
      <div class="text-muted">
        <!-- {{ client.repr }} -->
        <div>
          {% if client.is_institution %}
          {% trans "Institution" %}
          {% endif %}
        </div>

        <div>
          {% if client.discount %}
          <i class="glyphicon glyphicon-gift"> </i>
          {% trans "discount" %}
          {{ client.discount }}%
          {% endif %}
        </div>

        <div>
          <i class="glyphicon glyphicon-phone"> </i>

          {% if client.mobilephone %}
          {{ client.mobilephone }}
          {% endif %}

          <div>
            <i class="glyphicon glyphicon-earphone"> </i>
            {{ client.telephone }}
          </div>

          <div>
            <i class="glyphicon glyphicon-envelope"> </i>
            {{ client.email }}
          </div>
          <div>
            {% if client.website %}
            <a href="{{ client.website }}", target="_blank">
              {{ client.website }}
            </a>
            {% endif %}
          </div>
          <div>
            {% if client.city %}
            {{ client.city }} {% if client.country %} , {{ client.country }} {% endif %}
            {% endif %}
          </div>
        </div>

        {% if client.comment %}
        <i class="glyphicon glyphicon-comment"> </i>
        <div class="text-muted">
        {{ client.comment }}
        </div>
        {% endif %}
      </div>

      <a href="{{ client.admin_url }}"> {% trans "edit" %} </a>
    </div>

    <div class="col-md-6">

      <div class="text-muted" style="padding-top: 1em">
        {% trans "Since" %}
        {{ client.created }}
      </div>

      <div style="font-size: 120%">
        <p class="bg-info">
          <div class="bg-info" style="padding: 5px">
            <i class="glyphicon glyphicon-credit-card"> </i>
            {% trans "This month:" %} {{ total_month }} / {% trans "last month:" %} {{ total_last_month }}
          </div>

          <div class="bg-info">
            {% trans "This year:" %} {{ total_year }} / {% trans "last year:" %} {{ total_last_year }}
          </div>
        </p>

        <div class="bg-warning">
          <!-- <i class="glyphicon glyphicon-pushpin"> </i> -->
          <!-- <i class="glyphicon glyphicon-th-large"> </i> -->
          <div style="padding: 5px">
            <i class="glyphicon glyphicon-tags"> </i>
             {% trans "Shelves" %}:
          </div>
          <div>
            {% for sh_dict in shelves_frequencies %}
             {{ sh_dict.0 }} ({{ sh_dict.1.percentage_repr }}%)
            {% endfor %}
          </div>
        </div>
      </div>

      <div>
        <h4>
          {% trans "Last sells" %}
        </h4>

        <div>
          <table class="table table-condensed">
            <thead>
              <th>
                {% trans "Title" %}
              </th>
              <th>
                {% trans "Price sold" %}
              </th>
              <th></th>
              <th></th>
              <!-- <th>
                   {% trans "Discount" %}
                   </th> -->
            </thead>
            <tbody>
              {% for sell in last_sells %}
              <tr>
                <td>
                  <a href="{{ sell.card.get_absolute_url }}">
                    {{ sell.card.title }}
                  </a>
                  <td>
                    {{ sell.price_sold }}
                  </td>
                  <td>
                    {{ sell.created }}
                  </td>
                  <!-- <td>
                       {% if sell.discount %}
                       {{ sell.discount }}%
                       {% endif %}
                       </td> -->
                </td>
              </tr>
              {% endfor %}

            </tbody>
          </table>

        </div>
      </div>
    </div>  <!-- end col 6 -->

    <div class="col-md-4">
      <h4>
        {% trans "Ongoing reservations" %}
      </h4>

      <div>
        {% if not ongoing_reservations %}
        {% trans "No data" %}
        {% endif %}

        {% for resa in ongoing_reservations %}
        <div>
          <a href="{{ resa.card.get_absolute_url }}"> {{ resa.card.title }} </a> x {{ resa.nb }}
          <p class="text-muted">
            {{ resa.created }}
          </p>
        </div>
        {% endfor %}
      </div>

    </div>


    <!-- end row -->
  </div>

</div>

{% endblock content %}
